Errores de archivo Pluggablephp: ¿Cómo solucionarlos en WordPress?

Ver errores de archivos pluggablephp en su sitio WordPress? A veces, cuando agrega un fragmento de código a su sitio o activa un nuevo complemento, puede recibir el error de archivo pluggable.php. En este artículo, le mostraremos cómo corregir los errores del archivo pluggable.php en WordPress.

¿Cuándo y por qué ves los errores de archivo Pluggablephp?

WordPress permite a los usuarios y complementos reemplazar ciertas funciones básicas. Estas funciones se encuentran en el archivo php conectable.

Si un complemento de WordPress o un fragmento de código personalizado no logra manejar correctamente una de estas características, verá un error como este:

Warning: Cannot modify header information – headers already sent by (output started at /home/username/demosite/wp-content/themes/mytheme/functions.php:1035) in /home/username/demosite/wp-includes/pluggablephp on line 1179

Error de conexión: imagen tomada

Error de conexión: imagen tomada

A veces, es posible que pueda continuar trabajando en su sitio con este error que también ocurre en el área de administración de WordPress.

Error en el área de administración-Imagen tomada
Error en el área de administración-Imagen tomada

Dicho esto, veamos cómo solucionar fácilmente estos errores de archivos php conectables en WordPress.

Corregir error de archivo Pluggablephp en WordPress

El archivo pluggablephp es un archivo principal de WordPress. Nunca es una buena idea editar el archivo principal de WordPress como primera opción, incluso cuando hay un error dirigido a él.

Lo más probable es que el error provenga de otra ubicación.

Para corregir cualquier error que mencione el archivo pluggablephp, solo mire la primera ubicación mencionada en el error.

Warning: Cannot modify header information – headers already sent by (output started at /home/username/demosite/wp-content/themes/mytheme/functions.php:1035) in /home/username/demosite/wp-includes/pluggablephp on line 1179

En el ejemplo anterior, el error está en el archivo. functions.php sobre la base de la línea 1035.

Esto significa que debe editar el archivo functions.php del tema y cambiar o eliminar el código que está causando este error.

A veces, el error ya enviado es causado por espacio adicional después de cerrar la etiqueta php?>, Por lo que puede eliminar esto y solucionará el problema.

Veamos otro ejemplo:

Warning: Cannot modify header information – headers already sent by (output started at /home/username/demosite/wp-content/plugins/some-plugin-name/some-plugin.php:144) in /home/username/demosite/wp-includes/pluggablephp on line 1090

Este mensaje de error indica que un complemento en su sitio de WordPress está causando el error. Simplemente puede desactivar el complemento y notificar al autor del error.

En casi todos los casos, los errores que mencionan el archivo pluggablephp no son causados ​​por el archivo en sí.

Estos errores generalmente son causados ​​por un fragmento de código personalizado que agregó al archivo functions.php, o un complemento mal codificado o incluso su tema de WordPress.

Simplemente eliminar o editar el código o deshabilitar el complemento hará que desaparezcan estos errores de archivo php conectable.

Esperamos que este artículo le haya ayudado a corregir estos errores de archivos php conectables en WordPress.

Lea también: 45 errores de WordPress: causas y soluciones

Compartir con tus amigos:

Deja un comentario